## xapian-bindings 1.2.8+eole1

=== debian/changelog ===
xapian-bindings (1.2.8+eole1-2) envole-4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [1cec6c1] Strip EOLE suffix from xapian version

  [ EOLE Build Daemon ]
  * [b765560] Daniel Dehennin: Update package since “debian/1.2.8+eole1-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 25 Jun 2015 13:30:39 +0200

xapian-bindings (1.2.8+eole1-1) envole-4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [218f899] Enable PHP binding
  * [a64f91e] Add patch to fix PHP tests

  [ EOLE Build Daemon ]
  * [ab6db58] Daniel Dehennin: Update package since “debian/1.0.18-eole2”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 24 Jun 2015 16:31:56 +0200
