## xapian-bindings 1.2.12

=== debian/changelog ===
xapian-bindings (1.2.12-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze backports.

 -- Olly Betts <olly@survex.com>  Wed, 08 May 2013 01:43:07 +0000

xapian-bindings (1.2.12-2) unstable; urgency=low

  * debian/rules: Pass CFLAGS, etc to configure so hardening flags actually get
    used.

 -- Olly Betts <olly@survex.com>  Sat, 30 Jun 2012 02:21:20 +0000

xapian-bindings (1.2.12-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Enable hardening flags.
  * debian/rules,debian/control.in: Clean up special handling for versions
    of Debian and Ubuntu which have reached end of life.

 -- Olly Betts <olly@survex.com>  Thu, 28 Jun 2012 13:52:14 +0000

xapian-bindings (1.2.10-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in: Standards-Version: 3.9.3 (no changes required).
  * debian/copyright: Update copyright years.

 -- Olly Betts <olly@survex.com>  Thu, 10 May 2012 03:35:41 +0000
