=== debian/control ===
--- 
+++ 
@@ -1,22 +1,18 @@
 Source: xapian-bindings
 Section: libs
 Priority: optional
-Maintainer: Équipe EOLE <eole@ac-dijon.fr>
-XS-Original-Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7), python, python-all-dev (>= 2.6.6-3~), tcl-dev, ruby1.8-dev, ruby1.9.1-dev, ruby1.8, ruby1.9.1, libxapian-dev (>= 1.2.8), libxapian-dev (<< 1.3.0), autotools-dev, libxapian-dev (>= 1.2.0-2~),
-	       php5-dev, php5-cli
+Maintainer: Olly Betts <olly@survex.com>
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7), python, python-all-dev (>= 2.6.6-3~),   tcl-dev, ruby1.8-dev, ruby1.9.1-dev, ruby1.8, ruby1.9.1, libxapian-dev (>= 1.2.12), libxapian-dev (<< 1.3.0), autotools-dev
 X-Python-Version: >= 2.3
 Homepage: http://xapian.org/
-Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/xapian-bindings
-Vcs-Git: http://dev-eole.ac-dijon.fr/git/xapian-bindings
-XS-Original-Vcs-Browser: http://trac.xapian.org/browser/branches/1.0/xapian-bindings
-XS-Original-Vcs-svn: svn://svn.xapian.org/xapian/branches/1.0/xapian-bindings
+Vcs-Browser: http://trac.xapian.org/browser/trunk/xapian-bindings
+Vcs-svn: svn://svn.xapian.org/xapian/trunk/xapian-bindings
 
 Package: tclxapian
 Section: libs
 Architecture: any
-Depends: ${tcl:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: tcl|tclsh, ${shlibs:Depends}, ${misc:Depends}
 Suggests: xapian-doc
 Description: Xapian search engine interface for Tcl
  This package provides Xapian Tcl bindings which should work with any version
@@ -92,22 +88,3 @@
  .
  The Xapian Ruby bindings provide an interface to the Xapian library from the
  Ruby programming language, allowing both indexing and retrieval operations.
-
-Package: php5-xapian
-Section: php
-Architecture: any
-Depends: ${php5:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Suggests: xapian-doc
-Description: Xapian search engine interface for PHP5
- This package provides Xapian PHP bindings built for PHP5.
- .
- The Xapian search engine library is a highly adaptable toolkit which allows
- developers to easily add advanced indexing and search facilities to their own
- applications.  It implements the probabilistic model of information retrieval,
- and provides facilities for performing ranked free-text searches, relevance
- feedback, phrase searching, boolean searching, stemming, and simultaneous
- update and searching.  It is highly scalable, and is capable of working with
- collections containing hundreds of millions of documents.
- .
- The Xapian PHP bindings provide an interface to the Xapian library from PHP,
- allowing both indexing and retrieval operations.
