=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #
 # Copyright (C) 2004,2005,2006 Lemur Consulting Ltd
-# Copyright (C) 2006,2007,2008,2009,2010,2011 Olly Betts
+# Copyright (C) 2006,2007,2008,2009,2010,2011,2012 Olly Betts
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to
@@ -29,9 +29,6 @@
 # Version without the "-N" suffix.
 XAPIAN_VERSION := $(shell sed 's/.*(\([^-]*\)\(-.*\)*).*/\1/;q' debian/changelog)
 
-# Version without the EOLE suffix
-XAPIAN_VERSION := $(shell echo $(XAPIAN_VERSION) | sed 's,+.*,,')
-
 # The next incompatible version - i.e. the first release of the next release
 # branch.  So for XAPIAN_VERSION "1.0.<n>", this should be "1.1.0".
 XAPIAN_VERSION_CEILING := $(shell echo '$(XAPIAN_VERSION)'|awk -F. '{print $$1"."$$2+1".0"}')
@@ -43,9 +40,10 @@
 
 # Disabled due to incompatibility of GPL and PHP licence.  Uncomment to build
 # your own binary packages (just don't distribute them!)
-PHP_VERSIONS := 5
-
-ifeq ($(findstring .$(CODENAME)., .lenny.hardy.intrepid.jaunty.), )
+# PHP_VERSIONS := 5
+
+# Ubuntu hardy had 1.9.0, but we don't bother packaging for that.
+ifeq ($(findstring .$(CODENAME)., .hardy.), )
 RUBY_VERSIONS := 1.8 1.9.1
 else
 RUBY_VERSIONS := 1.8
@@ -54,7 +52,7 @@
 # The python versions to build for:
 PYTHON_VERSIONS := $(shell pyversions -r debian/control)
 
-ifeq ($(findstring .$(CODENAME)., .lenny.hardy.intrepid.jaunty.karmic.lucid.maverick.), )
+ifeq ($(findstring .$(CODENAME)., .hardy.lucid.), )
 USING_PYCENTRAL := 0
 BUILD_DEPS += python, python-all-dev (>= 2.6.6-3~),
 XB_PYTHON_VERSION := X-Dummy: Remove me once python-central support is dropped
@@ -64,9 +62,6 @@
 BUILD_DEPS += python, python-central (>= 0.4.10), python-all-dev,
 XB_PYTHON_VERSION := XB-Python-Version: $${python:Versions}
 X_PYTHON_VERSION := XS-Python-Version: all
-# We'll need this if we ever generate different .py modules for different
-# supported python versions.
-#export DH_PYCENTRAL=nomove
 endif
 
 export DH_OPTIONS
@@ -74,6 +69,24 @@
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
+CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+
+# Fallback for suites which don't have dpkg-buildflags.
+ifeq (,$(CFLAGS))
+    # -g needed for armel to workaround unaligned relocations (#576944)
+    CFLAGS := -g
+    CXXFLAGS := -g
+ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+    CFLAGS += -O2
+    CXXFLAGS += -O2
+endif
+endif
+
+confflags := CFLAGS='$(CFLAGS)' CXXFLAGS='$(CXXFLAGS)'
+confflags += LDFLAGS='$(LDFLAGS)' CPPFLAGS='$(CPPFLAGS)'
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
     confflags += --build $(DEB_HOST_GNU_TYPE)
 else
@@ -82,11 +95,8 @@
     DEB_BUILD_OPTIONS += nocheck
 endif
 
-# Handle DEB_BUILD_OPTIONS.  Note that dh_strip handles nostrip for us.
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-    # -g needed for armel to workaround unaligned relocations (#576944)
-    confflags += CFLAGS="-O0 -g" CXXFLAGS="-O0 -g"
-endif
+# Handle deb_build_options.  Note that dh_strip handles nostrip for us, and
+# dpkg-buildflags handles noopt.
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
     NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
     MAKEFLAGS += -j$(NUMJOBS)
@@ -218,12 +228,3 @@
 	    $(MAKE_CHECK) -C debian/build/$$python ; \
 	done
 	for v in $(PHP_VERSIONS); do \
-	    if test -x /usr/bin/php-config$$v ; then \
-		set -e; \
-		$(MAKE) -C debian/build/php$$v ; \
-		$(MAKE_CHECK) -C debian/build/php$$v ; \
-	    fi \
-	done
-	for v in $(RUBY_VERSIONS); do \
-	    set -e; \
-	    $(MAKE) -C debian/build/ruby$$v ; \
