## xapian-bindings 1.2.15

=== debian/changelog ===
xapian-bindings (1.2.15-4) unstable; urgency=low

  * Add missing dh_installdeb so the ruby bindings postinst files actually
    make it into the binary packages.  (Closes: #709667)

 -- Olly Betts <olly@survex.com>  Wed, 29 May 2013 22:14:52 +0000

xapian-bindings (1.2.15-3) unstable; urgency=low

  * Add postinst to transitional packages for ruby bindings to make the
    directory to symlink change in /usr/share/doc work.  (Closes: #709667)
  * debian/control.in: tclxapian - move from section "libs" to "interpreters"
    to match overrides file.
  * debian/rules: Fix target dependencies so we don't run the testsuite twice.
  * debian/rules: Mark build-arch and build-indep as phony targets.

 -- Olly Betts <olly@survex.com>  Tue, 28 May 2013 03:42:51 +0000

xapian-bindings (1.2.15-2) unstable; urgency=low

  * Restore changes from 1.2.12-2 which were accidentally omitted in
    1.2.15-1, so hardening flags are now reactivated.

 -- Olly Betts <olly@survex.com>  Sun, 12 May 2013 00:28:33 +0000

xapian-bindings (1.2.15-1) unstable; urgency=low

  * New upstream release.
  * Update to new Ruby packaging policy (based on patch from Per Andersson).
    (Closes: #675702)
  * debian/control.in: Standards-Version: 3.9.4 (no changes required).
  * debian/rules: Fix binary-arch to depend on build-arch (instead of build).
  * debian/rules: Remove code which aided backporting to Ubuntu hardy.
  * debian/copyright: Update to include 2013.

 -- Olly Betts <olly@survex.com>  Sat, 11 May 2013 03:42:04 +0000
