=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: libs
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7), python, python-all-dev (>= 2.6.6-3~),   tcl-dev, ruby1.8-dev, ruby1.9.1-dev, ruby1.8, ruby1.9.1, libxapian-dev (>= 1.2.12), libxapian-dev (<< 1.3.0), autotools-dev
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 7.0.50~), python, python-all-dev (>= 2.6.6-3~),   tcl-dev, ruby1.8-dev, ruby1.9.1-dev, ruby1.8, ruby1.9.1, libxapian-dev (>= 1.2.15), libxapian-dev (<< 1.3.0), autotools-dev
 X-Python-Version: >= 2.3
+XS-Ruby-Versions: all
 Homepage: http://xapian.org/
 Vcs-Browser: http://trac.xapian.org/browser/trunk/xapian-bindings
 Vcs-svn: svn://svn.xapian.org/xapian/trunk/xapian-bindings
 
 Package: tclxapian
-Section: libs
+Section: interpreters
 Architecture: any
 Depends: tcl|tclsh, ${shlibs:Depends}, ${misc:Depends}
 Suggests: xapian-doc
@@ -51,13 +52,17 @@
  The Xapian Python bindings provide an interface to the Xapian library from the
  Python programming language, allowing both indexing and retrieval operations.
 
-Package: libxapian-ruby1.8
+Package: ruby-xapian
 Section: ruby
 Architecture: any
-Depends: libruby1.8, ${shlibs:Depends}, ${misc:Depends}
+XB-Ruby-Versions: ${ruby:Versions}
+Depends: ruby | ruby-interpeter, ${shlibs:Depends}, ${misc:Depends}
+Replaces: libxapian-ruby1.8 (<< 1.2.15-1~), libxapian-ruby1.9.1 (<< 1.2.15-1~)
+Breaks: libxapian-ruby1.8 (<< 1.2.15-1~), libxapian-ruby1.9.1 (<< 1.2.15-1~)
+Provides: libxapian-ruby1.8, libxapian-ruby1.9.1
 Suggests: xapian-doc
-Description: Xapian search engine interface for Ruby 1.8
- This package provides Xapian Ruby bindings built for Ruby 1.8.
+Description: Xapian search engine interface for Ruby
+ This package provides Xapian Ruby bindings built for Ruby.
  .
  The Xapian search engine library is a highly adaptable toolkit which allows
  developers to easily add advanced indexing and search facilities to their own
@@ -70,21 +75,20 @@
  The Xapian Ruby bindings provide an interface to the Xapian library from the
  Ruby programming language, allowing both indexing and retrieval operations.
 
+Package: libxapian-ruby1.8
+Section: oldlibs
+Priority: extra
+Architecture: all
+depends: ${misc:Depends}, ruby-xapian
+Description: Transitional package for ruby-xapian
+ This is a transitional package to ease upgrades to the ruby-xapian package.
+ It can be safely removed.
+
 Package: libxapian-ruby1.9.1
-Section: ruby
-Architecture: any
-Depends: libruby1.9.1, ${shlibs:Depends}, ${misc:Depends}
-Suggests: xapian-doc
-Description: Xapian search engine interface for Ruby 1.9.1
- This package provides Xapian Ruby bindings built for Ruby 1.9.1.
- .
- The Xapian search engine library is a highly adaptable toolkit which allows
- developers to easily add advanced indexing and search facilities to their own
- applications.  It implements the probabilistic model of information retrieval,
- and provides facilities for performing ranked free-text searches, relevance
- feedback, phrase searching, boolean searching, stemming, and simultaneous
- update and searching.  It is highly scalable, and is capable of working with
- collections containing hundreds of millions of documents.
- .
- The Xapian Ruby bindings provide an interface to the Xapian library from the
- Ruby programming language, allowing both indexing and retrieval operations.
+Section: oldlibs
+Priority: extra
+Architecture: all
+depends: ${misc:Depends}, ruby-xapian
+Description: Transitional package for ruby-xapian
+ This is a transitional package to ease upgrades to the ruby-xapian package.
+ It can be safely removed.
