=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #
 # Copyright (C) 2004,2005,2006 Lemur Consulting Ltd
-# Copyright (C) 2006,2007,2008,2009,2010,2011,2012 Olly Betts
+# Copyright (C) 2006,2007,2008,2009,2010,2011,2012,2013 Olly Betts
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to
@@ -22,7 +22,7 @@
 # IN THE SOFTWARE.
 
 # Codename we're building packages for.  For backported packages, put the
-# codename (e.g. lenny or jaunty) in debian/codename.  If that file doesn't
+# codename (e.g. wheezy or precise) in debian/codename.  If that file doesn't
 # exist, the default is sid.
 CODENAME := $(shell cat debian/codename 2>/dev/null||echo sid)
 
@@ -36,23 +36,30 @@
 # `--exclude=.EXT' arguments to pass dh_install
 DH_INSTALL_EXCLUDE := --exclude=.pyc --exclude=.pyo
 
-BUILD_DEPS := debhelper (>= 7),
+# >= 7.0.50~ needed for Ruby packaging.
+BUILD_DEPS := debhelper (>= 7.0.50~),
 
 # Disabled due to incompatibility of GPL and PHP licence.  Uncomment to build
 # your own binary packages (just don't distribute them!)
 # PHP_VERSIONS := 5
 
-# Ubuntu hardy had 1.9.0, but we don't bother packaging for that.
-ifeq ($(findstring .$(CODENAME)., .hardy.), )
 RUBY_VERSIONS := 1.8 1.9.1
-else
-RUBY_VERSIONS := 1.8
+# Be conservative for now and leave backported versions on old ruby policy.
+ifeq ($(findstring .$(CODENAME)., .lucid.precise.quantal.raring.squeeze.wheezy.), )
+XB_RUBY_VERSIONS := XB-Ruby-Versions: $${ruby:Versions}
+XS_RUBY_VERSIONS := XS-Ruby-Versions: all
+rubylibdir := vendorlibdir
+rubyarchdir := vendorarchdir
+else
+XS_RUBY_VERSIONS := X-Dummy: Remove me once old ruby policy support is dropped
+rubylibdir := rubylibdir
+rubyarchdir := archdir
 endif
 
 # The python versions to build for:
 PYTHON_VERSIONS := $(shell pyversions -r debian/control)
 
-ifeq ($(findstring .$(CODENAME)., .hardy.lucid.), )
+ifeq ($(findstring .$(CODENAME)., .lucid.), )
 USING_PYCENTRAL := 0
 BUILD_DEPS += python, python-all-dev (>= 2.6.6-3~),
 XB_PYTHON_VERSION := X-Dummy: Remove me once python-central support is dropped
@@ -152,20 +159,47 @@
 maint: debian/control
 
 maintclean: clean
-	rm -f debian/control
+	rm -f debian/control \
+	      debian/libxapian-ruby1.8.doc-base \
+	      debian/libxapian-ruby1.8.install \
+	      debian/libxapian-ruby1.8.postinst \
+	      debian/libxapian-ruby1.9.1.doc-base \
+	      debian/libxapian-ruby1.9.1.install \
+	      debian/libxapian-ruby1.9.1.postinst \
+	      debian/ruby-xapian.doc-base \
+	      debian/ruby-xapian.install
 
 debian/control: debian/rules debian/control.in
 	rm -f debian/control.tmp
 	sed -e 's/@BUILD_DEPS@/$(BUILD_DEPS)/g' \
 	    -e 's/@X_PYTHON_VERSION@/$(X_PYTHON_VERSION)/g' \
 	    -e 's/@XB_PYTHON_VERSION@/$(XB_PYTHON_VERSION)/g' \
+	    -e 's/@XS_RUBY_VERSIONS@/$(XS_RUBY_VERSIONS)/g' \
 	    < debian/control.in > debian/control.tmp
 	for v in $(PHP_VERSIONS); do \
 	    sed "s/@PHP_VERSION@/$$v/g" debian/control-php.in ;\
 	done >> debian/control.tmp
+ifdef XB_RUBY_VERSIONS
+	sed -e 's/@XB_RUBY_VERSIONS@/$(XB_RUBY_VERSIONS)/g' \
+	    < debian/control-ruby-new.in >> debian/control.tmp
+	cp debian/ruby-xapian.doc-base.in debian/ruby-xapian.doc-base
+	cp debian/ruby-xapian.install.in debian/ruby-xapian.install
 	for v in $(RUBY_VERSIONS); do \
-	    sed "s/@RUBY_VERSION@/$$v/g" debian/control-ruby.in ;\
+	    sed -e "s/@PACKAGE@/libxapian-ruby$$v/" \
+		-e 's/@TARGET@/ruby-xapian/' \
+		< debian/dummy.postinst.in \
+		> debian/libxapian-ruby$$v.postinst ;\
+	done
+else
+	for v in $(RUBY_VERSIONS); do \
+	    sed "s/@RUBY_VERSION@/$$v/g" debian/control-ruby-old.in ;\
 	done >> debian/control.tmp
+	# Install files to old packages.
+	cp debian/libxapian-ruby1.8.doc-base.in debian/libxapian-ruby1.8.doc-base
+	cp debian/libxapian-ruby1.8.install.in debian/libxapian-ruby1.8.install
+	cp debian/libxapian-ruby1.9.1.doc-base.in debian/libxapian-ruby1.9.1.doc-base
+	cp debian/libxapian-ruby1.9.1.install.in debian/libxapian-ruby1.9.1.install
+endif
 	mv debian/control.tmp debian/control
 
 configure: configure-stamp
@@ -175,56 +209,3 @@
 	# Use the latest config.sub and config.guess from the autotools-dev
 	# package.
 	rm -f config.sub config.guess
-	ln -s /usr/share/misc/config.sub config.sub
-	ln -s /usr/share/misc/config.guess config.guess
-
-	for python in $(PYTHON_VERSIONS); do \
-	    set -e; \
-	    mkdir -p debian/build/$$python; \
-	    cd debian/build/$$python; \
-	    ../../../configure $(commonconfflags) --with-python \
-		PYTHON=/usr/bin/$$python; \
-	    cd ../../..; \
-	done
-
-	for v in $(PHP_VERSIONS); do \
-	    c=/usr/bin/php-config$$v; \
-	    if test -x $$c ; then \
-		set -e; \
-		mkdir -p debian/build/php$$v; \
-		cd debian/build/php$$v; \
-		../../../configure $(commonconfflags) --with-php PHP_CONFIG=$$c; \
-		cd ../../..; \
-	    fi \
-	done
-
-	for v in $(RUBY_VERSIONS); do \
-	    set -e; \
-	    mkdir -p debian/build/ruby$$v; \
-	    cd debian/build/ruby$$v; \
-	    RUBY=/usr/bin/ruby$$v; \
-	    ../../../configure $(commonconfflags) --with-ruby \
-		--docdir=/usr/share/doc/xapian-bindings-ruby$$v \
-		RUBY=$$RUBY \
-		RUBY_LIB=`$$RUBY -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]'` \
-		RUBY_LIB_ARCH=`$$RUBY -rrbconfig -e 'puts Config::CONFIG["archdir"]'`; \
-	    cd ../../..; \
-	done
-
-	mkdir -p debian/build/tcl
-	cd debian/build/tcl && ../../../configure $(commonconfflags) \
-	    --with-tcl TCLSH=$(TCLSH) TCL_LIB=/usr/lib/tcltk
-
-	touch $@
-
-build: build-arch build-indep
-build-arch: build-stamp
-build-indep: build-stamp
-build-stamp: configure
-	dh_testdir
-	for python in $(PYTHON_VERSIONS); do \
-	    set -e; \
-	    $(MAKE) -C debian/build/$$python ; \
-	    $(MAKE_CHECK) -C debian/build/$$python ; \
-	done
-	for v in $(PHP_VERSIONS); do \
