## xapian-bindings 1.2.16

=== debian/changelog ===
xapian-bindings (1.2.16-2ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build using dh-autoreconf, explicitly using automake-1.11.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2014 16:34:43 +0100

xapian-bindings (1.2.16-2) unstable; urgency=low

  * debian/rules: Fix accidentally hard-coded "x86_64-linux-gnu" in path of
    file to install.

 -- Olly Betts <olly@survex.com>  Fri, 06 Dec 2013 19:20:24 +1300

xapian-bindings (1.2.16-1) unstable; urgency=low

  * New upstream release.
  * Rename ".in" templates for doc-base files so they aren't processed by
    dh_installdocs.  (Closes: #722096)
  * debian/rules: Update for upcoming changes in Tcl/Tk (based on patch from
    Sergei Golovan).  (Closes: #724830)
  * Build ruby bindings for ruby2.0 as well - requires passing RUBY_INC_ARCH
    to configure until upstream updates configure for ruby2.0.
  * debian/watch: Fix to only consider stable releases, and to look for
    .tar.xz which upstream now uses.
  * debian/control.in: "Standards-Version: 3.9.5" (no changes required).
  * debian/control.in: Packaging now stored in git in debian collab-maint.

 -- Olly Betts <olly@survex.com>  Fri, 06 Dec 2013 15:18:06 +1300

xapian-bindings (1.2.15-4ubuntu3) trusty; urgency=medium

  * Explicitely use automake1.11.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Dec 2013 16:59:30 +0100

xapian-bindings (1.2.15-4ubuntu2) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Dec 2013 16:15:18 +0100

xapian-bindings (1.2.15-4ubuntu1) trusty; urgency=low

  * debian/control, debian/rules, debian/ruby-xapian.install*: stop
    building for ruby1.8. (LP: #1254052)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 29 Nov 2013 15:44:16 -0500
