=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: xapian-bindings
 Section: libs
 Priority: optional
-Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 7.0.50~), python, python-all-dev (>= 2.6.6-3~),   tcl-dev, ruby1.8-dev, ruby1.9.1-dev, ruby1.8, ruby1.9.1, libxapian-dev (>= 1.2.15), libxapian-dev (<< 1.3.0), autotools-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Olly Betts <olly@survex.com>
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 7.0.50~), python, python-all-dev (>= 2.6.6-3~),   tcl-dev, ruby1.9.1-dev, ruby2.0-dev, ruby1.9.1, ruby2.0, libxapian-dev (>= 1.2.16), libxapian-dev (<< 1.3.0), autotools-dev, automake1.11, dh-autoreconf
 X-Python-Version: >= 2.3
 XS-Ruby-Versions: all
 Homepage: http://xapian.org/
-Vcs-Browser: http://trac.xapian.org/browser/trunk/xapian-bindings
-Vcs-svn: svn://svn.xapian.org/xapian/trunk/xapian-bindings
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xapian-bindings.git
+Vcs-git: git://anonscm.debian.org/collab-maint/xapian-bindings.git
 
 Package: tclxapian
 Section: interpreters
