=== debian/rules ===
--- 
+++ 
@@ -43,17 +43,22 @@
 # your own binary packages (just don't distribute them!)
 # PHP_VERSIONS := 5
 
-RUBY_VERSIONS := 1.8 1.9.1
 # Be conservative for now and leave backported versions on old ruby policy.
 ifeq ($(findstring .$(CODENAME)., .lucid.precise.quantal.raring.squeeze.wheezy.), )
+# For new ruby policy:
 XB_RUBY_VERSIONS := XB-Ruby-Versions: $${ruby:Versions}
 XS_RUBY_VERSIONS := XS-Ruby-Versions: all
 rubylibdir := vendorlibdir
 rubyarchdir := vendorarchdir
-else
+# Ruby 2.0 will debut in jessie and was in Ubuntu saucy, which neatly matches
+# the versions on new ruby policy.
+RUBY_VERSIONS := 1.9.1 2.0
+else
+# For old ruby policy:
 XS_RUBY_VERSIONS := X-Dummy: Remove me once old ruby policy support is dropped
 rubylibdir := rubylibdir
 rubyarchdir := archdir
+RUBY_VERSIONS := 1.8 1.9.1
 endif
 
 # The python versions to build for:
@@ -132,7 +137,16 @@
 # lenny/hardy onwards have a "tcl-dev" dummy package which pulls in the package
 # for the current preferred version.
 BUILD_DEPS += tcl-dev,# NB Trailing ',' required here!
+ifeq ($(findstring .$(CODENAME)., .lucid.precise.quantal.raring.saucy.trusty.squeeze.wheezy.), )
+# /usr/bin/tclsh-default is going to be dropped.
+TCLSH=/usr/bin/tclsh
+# tclsh8.6 requires us to link to libtclstub.a - upstream doesn't yet do this
+# automatically.
+TCL_MAKE_OPTS = TCL_LIBS=-ltclstub
+else
 TCLSH=/usr/bin/tclsh-default
+TCL_MAKE_OPTS =
+endif
 
 # Build depends for Ruby.
 #
@@ -155,6 +169,10 @@
 # With GCC3 and later this won't make a huge difference, but it'll save
 # a bit of time and diskspace while building.
 commonconfflags += --disable-dependency-tracking
+
+# testsuite fails with newer ones
+export AUTOMAKE = automake-1.11
+export ACLOCAL = aclocal-1.11
 
 maint: debian/control
 
@@ -179,33 +197,14 @@
 	for v in $(PHP_VERSIONS); do \
 	    sed "s/@PHP_VERSION@/$$v/g" debian/control-php.in ;\
 	done >> debian/control.tmp
+	# Call the doc-base templates <pkg>.d-b.in, as <pkg>.doc-base.* is
+	# special to dh_installdocs. (#722096)
 ifdef XB_RUBY_VERSIONS
 	sed -e 's/@XB_RUBY_VERSIONS@/$(XB_RUBY_VERSIONS)/g' \
 	    < debian/control-ruby-new.in >> debian/control.tmp
-	cp debian/ruby-xapian.doc-base.in debian/ruby-xapian.doc-base
+	cp debian/ruby-xapian.d-b.in debian/ruby-xapian.doc-base
 	cp debian/ruby-xapian.install.in debian/ruby-xapian.install
 	for v in $(RUBY_VERSIONS); do \
-	    sed -e "s/@PACKAGE@/libxapian-ruby$$v/" \
-		-e 's/@TARGET@/ruby-xapian/' \
-		< debian/dummy.postinst.in \
-		> debian/libxapian-ruby$$v.postinst ;\
-	done
-else
-	for v in $(RUBY_VERSIONS); do \
-	    sed "s/@RUBY_VERSION@/$$v/g" debian/control-ruby-old.in ;\
-	done >> debian/control.tmp
-	# Install files to old packages.
-	cp debian/libxapian-ruby1.8.doc-base.in debian/libxapian-ruby1.8.doc-base
-	cp debian/libxapian-ruby1.8.install.in debian/libxapian-ruby1.8.install
-	cp debian/libxapian-ruby1.9.1.doc-base.in debian/libxapian-ruby1.9.1.doc-base
-	cp debian/libxapian-ruby1.9.1.install.in debian/libxapian-ruby1.9.1.install
-endif
-	mv debian/control.tmp debian/control
-
-configure: configure-stamp
-configure-stamp:
-	dh_testdir
-
-	# Use the latest config.sub and config.guess from the autotools-dev
-	# package.
-	rm -f config.sub config.guess
+	    if test $$v = 2.0 ; then \
+		echo 'usr/lib/*/ruby/vendor_ruby/*/_xapian.so' >> debian/ruby-xapian.install ; \
+	    else \
